heimdal (7.8.git20221117.28daf24+dfsg-9ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Disable lto, to regain dep on roken, otherwise
      dependencies on amd64 are different than i386 resulting in
      different files on amd64 and i386.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 05 Mar 2025 08:12:03 +0100

heimdal (7.8.git20221117.28daf24+dfsg-9) unstable; urgency=medium

  * Use kadmin.heimdal in postinst instead of heimdal. Closes: #1070031.

 -- Brian May <bam@debian.org>  Tue, 04 Mar 2025 10:58:18 +1100

heimdal (7.8.git20221117.28daf24+dfsg-8ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Disable lto, to regain dep on roken, otherwise
      dependencies on amd64 are different than i386 resulting in
      different files on amd64 and i386.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Aug 2024 14:50:58 +0200

heimdal (7.8.git20221117.28daf24+dfsg-8) unstable; urgency=medium

  [ Andreas Hasenack ]
  * Fix FTBFS with autoconf 2.72. Closes: #1078494.

 -- Brian May <bam@debian.org>  Mon, 12 Aug 2024 10:55:53 +1000

heimdal (7.8.git20221117.28daf24+dfsg-7ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Disable lto, to regain dep on roken, otherwise
      dependencies on amd64 are different than i386 resulting in
      different files on amd64 and i386.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Aug 2024 14:13:21 +0200

heimdal (7.8.git20221117.28daf24+dfsg-7) unstable; urgency=medium

  * Add include and includedir patch that was accidentally omitted.
  * Rename pkg-config to pkgconf in dependancy.

  [ Andreas Hasenack ]
  * Add support for include and includedir directives to krb5.conf.

 -- Brian May <bam@debian.org>  Thu, 08 Aug 2024 10:42:42 +1000

heimdal (7.8.git20221117.28daf24+dfsg-6ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Disable lto, to regain dep on roken, otherwise
      dependencies on amd64 are different than i386 resulting in
      different files on amd64 and i386.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 25 Jul 2024 12:37:16 +0200

heimdal (7.8.git20221117.28daf24+dfsg-6) unstable; urgency=medium

  * Fix FTBFS due to not linking with crypt correctly. Applied patch from
    https://github.com/heimdal/heimdal/pull/1085. Closes: #1075064.

  [ Andreas Hasenack ]
  * Add a kinit DEP8 test which relies on the includedir support.

 -- Brian May <bam@debian.org>  Thu, 25 Jul 2024 16:19:48 +1000

heimdal (7.8.git20221117.28daf24+dfsg-5ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:24:27 +0000

heimdal (7.8.git20221117.28daf24+dfsg-5ubuntu2) noble; urgency=medium

  * No-change rebuild against libcom-err2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 20:32:53 +0000

heimdal (7.8.git20221117.28daf24+dfsg-5ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Disable lto, to regain dep on roken, otherwise
      dependencies on amd64 are different than i386 resulting in
      different files on amd64 and i386.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 10 Mar 2024 01:31:18 +0100

heimdal (7.8.git20221117.28daf24+dfsg-5) unstable; urgency=medium

  * Apply NMU patches. Closes: #1065373.

 -- Brian May <bam@debian.org>  Sat, 09 Mar 2024 11:01:27 +1100

heimdal (7.8.git20221117.28daf24+dfsg-4.2) unstable; urgency=medium

  [ Matthias Klose ]
  * Filter-out -Werror=implicit-function-declaration, unconditionally set
    by abi=time64.

 -- Steve Langasek <vorlon@debian.org>  Fri, 08 Mar 2024 08:21:09 +0000

heimdal (7.8.git20221117.28daf24+dfsg-4.1ubuntu3) noble; urgency=medium

  * No-change rebuild for libcom-err2t64.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Mar 2024 07:48:10 +0100

heimdal (7.8.git20221117.28daf24+dfsg-4.1ubuntu2) noble; urgency=medium

  * Filter-out -Werror=implicit-function-declaration, unconditionally set
    by abi=time64.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 03 Mar 2024 15:31:17 +0100

heimdal (7.8.git20221117.28daf24+dfsg-4.1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Disable lto, to regain dep on roken, otherwise
      dependencies on amd64 are different than i386 resulting in
      different files on amd64 and i386.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 29 Feb 2024 17:20:07 +0100

heimdal (7.8.git20221117.28daf24+dfsg-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1064097

 -- Lukas Märdian <slyon@debian.org>  Wed, 28 Feb 2024 08:36:52 +0000

heimdal (7.8.git20221117.28daf24+dfsg-4ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Disable lto, to regain dep on roken, otherwise
      dependencies on amd64 are different than i386 resulting in
      different files on amd64 and i386.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 04 Jan 2024 08:40:53 +0100

heimdal (7.8.git20221117.28daf24+dfsg-4) unstable; urgency=medium

  * Always build the rk_strlcat and rk_strlcpy symbols even if included in
    glibc. Closes: #1055316.

 -- Brian May <bam@debian.org>  Wed, 03 Jan 2024 11:43:58 +1100

heimdal (7.8.git20221117.28daf24+dfsg-3ubuntu4) noble; urgency=medium

  * Revert addition of Build-Depends-Package in symbols files. This should
    make openafs installable

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 15 Dec 2023 20:31:34 +0100

heimdal (7.8.git20221117.28daf24+dfsg-3ubuntu3) noble; urgency=medium

  * d/lib{kafs0,roken19}-heimdal.symbols: Change symbol dependencies
    on libroken19-heimdal and libkafs0-heimdal to build-depends on
    itself to avoid future symbol skew.
  * d/control: Add packages with binary commands that uses
    libroken19-heimdal symbols to the Breaks: (not only libraries).

 -- Miriam España Acebal <miriam.espana@canonical.com>  Fri, 15 Dec 2023 12:16:53 +0100

heimdal (7.8.git20221117.28daf24+dfsg-3ubuntu2) noble; urgency=medium

  * d/lib{kafs0,roken19}-heimdal.symbols:
    - _{kafs,rk}_strl{cat,cpy} are made optional symbols, since they
      are not needed when built against glibc 2.38 (LP: #2036253).
    - Make symbol dependencies on libroken19-heimdal and libkafs0-heimdal
      strict to avoid future symbol skew.
  * d/control: Declare Breaks: against older packages using these symbols.

 -- Miriam España Acebal <miriam.espana@canonical.com>  Wed, 29 Nov 2023 12:55:12 +0100

heimdal (7.8.git20221117.28daf24+dfsg-3ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Disable lto, to regain dep on roken, otherwise
      dependencies on amd64 are different than i386 resulting in
      different files on amd64 and i386.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 18 Jul 2023 09:23:55 -0700

heimdal (7.8.git20221117.28daf24+dfsg-3) unstable; urgency=medium

  * Fix random "Ticket expired" and "Clock skew too great" errors by setting
    kdc_offset correctly. Closes: #1039992.

 -- Brian May <bam@debian.org>  Tue, 04 Jul 2023 10:09:56 +1000

heimdal (7.8.git20221117.28daf24+dfsg-2ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Disable lto, to regain dep on roken, otherwise
      dependencies on amd64 are different than i386 resulting in
      different files on amd64 and i386.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 02 May 2023 09:56:10 +0200

heimdal (7.8.git20221117.28daf24+dfsg-2) unstable; urgency=medium

  * Fix incorrect license of Debian files.
  * Fix deprecated dependancies.
  * gsskrb5: fix accidental logic inversions (CVE-2022-45142)
    (Closes: #1030849) - change applied from NMU version
    7.8.git20221117.28daf24+dfsg-1.1
  * Add ro.po file. Closes: #1031897.

 -- Brian May <bam@debian.org>  Sat, 25 Feb 2023 09:32:57 +1100

heimdal (7.8.git20221117.28daf24+dfsg-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Disable lto, to regain dep on roken, otherwise
      dependencies on amd64 are different than i386 resulting in
      different files on amd64 and i386.
      (LP #1934936)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 24 Jan 2023 19:14:54 -0800

heimdal (7.8.git20221117.28daf24+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Brian May <bam@debian.org>  Sat, 10 Dec 2022 16:29:20 +1100

heimdal (7.8.git20221115.a6cf945+dfsg-3) unstable; urgency=medium

  * Source-only upload to enable migration to testingi (2nd attempt).

 -- Brian May <bam@debian.org>  Sun, 04 Dec 2022 09:56:06 +1100

heimdal (7.8.git20221115.a6cf945+dfsg-2) unstable; urgency=medium

  * Source-only upload to enable migration to testing.

 -- Brian May <bam@debian.org>  Sun, 04 Dec 2022 09:09:44 +1100

heimdal (7.8.git20221115.a6cf945+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Numerous security fixes (Closes: #1024187).
  * asn1: Invalid free in ASN.1 codec (CVE-2022-44640)
  * krb5: PAC parse integer overflows (CVE-2022-42898)
  * gsskrb5: Use constant-time memcmp() for arcfour unwrap (CVE-2022-3437)
  * gsskrb5: Use constant-time memcmp() in unwrap_des3() (CVE-2022-3437)
  * gsskrb5: Don't pass NULL pointers to memcpy() in DES unwrap
    (CVE-2022-3437)
  * gsskrb5: Avoid undefined behaviour in _gssapi_verify_pad()
    (CVE-2022-3437)
  * gsskrb5: Check the result of _gsskrb5_get_mech() (CVE-2022-3437)
  * gsskrb5: Check buffer length against overflow for DES{,3} unwrap
    (CVE-2022-3437)
  * gsskrb5: Check for overflow in _gsskrb5_get_mech() (CVE-2022-3437)
  * gsskrb5: Pass correct length to _gssapi_verify_pad() (CVE-2022-3437)
  * libhx509: Fix denial of service vulnerability (CVE-2022-41916)
  * spnego: send_reject when no mech selected (CVE-2021-44758)
  * Fix regression in _krb5_get_int64 on 32 bit systems.
    https://github.com/heimdal/heimdal/pull/1025
  * Increment soname for libroken.
  * Increment soname for libhcrypto.
  * Remove legacy shared library version requirements.
  * Add symbols to libkadm5srv8.

 -- Brian May <bam@debian.org>  Sun, 27 Nov 2022 10:44:26 +1100

heimdal (7.7.0+dfsg-6ubuntu2) lunar; urgency=medium

  * No-change rebuild against libldap-2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Dec 2022 19:48:34 +0000

heimdal (7.7.0+dfsg-6ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable (LP: #1993403). Remaining changes:
    - d/rules: Disable lto, to regain dep on roken, otherwise
      dependencies on amd64 are different than i386 resulting in
      different files on amd64 and i386.
      (LP #1934936)
  * Dropped:
    - d/libroken18-heimdal.symbols: Remove symbol
      rk_closefrom@HEIMDAL_ROKEN_1.0 1.4.0+git20110226 Applied verbatim
      debdiff from Heinrich Schuchardt (xypron).
      (LP #1945787)
      [Fixed in Debian release 7.7.0+dfsg-5]

 -- Bryce Harrington <bryce@canonical.com>  Thu, 17 Nov 2022 20:38:21 -0800

heimdal (7.7.0+dfsg-6) unstable; urgency=medium

  * Retry deleting dangling windc.so again. Closes: #857215.
  * Create /var/lib/heimdal-kdc/m-key not /var/lib/heimdal-kdc/heimdal.mkey.
    Closes: #964008.
  * Disable use of -rpath in krb5-config.heimdal. Closes: #868840.

 -- Brian May <bam@debian.org>  Mon, 05 Sep 2022 08:35:33 +1000

heimdal (7.7.0+dfsg-5) unstable; urgency=medium

  * Fix missing closefrom symbol. Closes: #1016884, #1017244.
  * Fix spelling of dependency in changelog.
  * Fix override_dh_fixperms typo, use 700 for /var/lib/heimdal-kdc/
  * Remove default --parallel from dh call.
  * Remove unused debian/upstream/signing-key.asc key.
  * Fix Multi-Arch headers. heimdal-multidev is not co-installable, so
    heimdal-dev cannot be co-installable either.

 -- Brian May <bam@debian.org>  Fri, 02 Sep 2022 07:59:59 +1000

heimdal (7.7.0+dfsg-4ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable (LP: #1971280). Remaining changes:
    - d/rules: Disable lto, to regain dep on roken, otherwise
      dependencies on amd64 are different than i386 resulting in
      different files on amd64 and i386.
      (LP #1934936)
    - d/libroken18-heimdal.symbols: Remove symbol
      rk_closefrom@HEIMDAL_ROKEN_1.0 1.4.0+git20110226 Applied verbatim
      debdiff from Heinrich Schuchardt (xypron).
      (LP #1945787)

 -- Bryce Harrington <bryce@canonical.com>  Wed, 20 Jul 2022 16:52:39 -0700

heimdal (7.7.0+dfsg-4) unstable; urgency=medium

  * Delete dependency on install-info. Closes: #1013735.
  * Non-maintainer upload.
  * Reduce Build-Depends: (Closes: #980531)
    + Drop unused libhesiod-dev.
    + Drop unused libperl4-corelibs-perl as cf/make-proto.pl no longer uses
      it.
    + Drop unused libx11-dev, libxau-dev, libxt-dev, ss-dev, and
      x11proto-core-dev.
    + Clean generated C tables to actually rebuild them using python3.

 -- Brian May <bam@debian.org>  Mon, 27 Jun 2022 10:36:10 +1000

heimdal (7.7.0+dfsg-3ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable (LP: #1946860). Remaining changes:
    - Disable lto, to regain dep on roken, otherwise dependencies on amd64
      are different to i386 resulting in different files on amd64 and
      i386. LP #1934936
    - Remove symbol rk_closefrom@HEIMDAL_ROKEN_1.0 1.4.0+git20110226
      (LP #1945787)

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 08 Dec 2021 18:02:13 -0300

heimdal (7.7.0+dfsg-3) unstable; urgency=high

  * Fix CVE-2021-3671: A null pointer de-reference was found in the way
    samba kerberos server handled missing sname in TGS-REQ. Closes: #996586.
  * Fix autoconf 2.7 issues.

 -- Brian May <bam@debian.org>  Wed, 17 Nov 2021 12:12:45 +1100

heimdal (7.7.0+dfsg-2ubuntu2) impish; urgency=medium

  * Remove symbol rk_closefrom@HEIMDAL_ROKEN_1.0 1.4.0+git20110226
    (LP: #1945787) 

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Fri, 01 Oct 2021 15:03:02 +0200

heimdal (7.7.0+dfsg-2ubuntu1) impish; urgency=medium

  * Disable lto, to regain dep on roken, otherwise dependencies on amd64
    are different to i386 resulting in different files on amd64 and
    i386. LP: #1934936

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 20 Jul 2021 10:32:53 +0100

heimdal (7.7.0+dfsg-2build1) impish; urgency=medium

  * No-change rebuild due to OpenLDAP soname bump.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 21 Jun 2021 17:48:49 -0400

heimdal (7.7.0+dfsg-2) unstable; urgency=medium

  * Build using python3. Closes: #936695, #960032.

 -- Brian May <bam@debian.org>  Tue, 12 May 2020 06:56:04 +1000

heimdal (7.7.0+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Fix CVE-2019-14870: The DelegationNotAllowed Kerberos feature restriction
    was not being applied when processing protocol
    transition requests (S4U2Self), in the AD DC KDC. Closes: #946786.

 -- Brian May <bam@debian.org>  Tue, 17 Dec 2019 20:23:41 +1100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libroken19t64-heimdal`.
